/* Install paths from configure */
#include "ntqglobal.h"

static const char QT_INSTALL_PREFIX      [267] = "qt_nstpath=/opt/trinity/tqt3";
static const char QT_INSTALL_BINS        [267] = "qt_binpath=/opt/trinity/tqt3/bin";
static const char QT_INSTALL_DOCS        [267] = "qt_docpath=/opt/trinity/tqt3/doc";
static const char QT_INSTALL_HEADERS     [267] = "qt_hdrpath=/opt/trinity/tqt3/include";
static const char QT_INSTALL_LIBS        [267] = "qt_libpath=/opt/trinity/tqt3/lib";
static const char QT_INSTALL_PLUGINS     [267] = "qt_plgpath=/opt/trinity/tqt3/plugins";
static const char QT_INSTALL_DATA        [267] = "qt_datpath=/opt/trinity/tqt3";
static const char QT_INSTALL_TRANSLATIONS[267] = "qt_trnpath=/opt/trinity/tqt3/translations";
static const char QT_INSTALL_SYSCONF     [267] = "qt_cnfpath=/etc/tqt";
static const char QT_INSTALL_SHARE       [267] = "qt_shapath=/opt/trinity/tqt3/share";

/* strlen( "qt_xxxpath=" ) == 11 */
const char *tqInstallPath()             { return QT_INSTALL_PREFIX       + 11; }
const char *tqInstallPathDocs()         { return QT_INSTALL_DOCS         + 11; }
const char *tqInstallPathHeaders()      { return QT_INSTALL_HEADERS      + 11; }
const char *tqInstallPathLibs()         { return QT_INSTALL_LIBS         + 11; }
const char *tqInstallPathBins()         { return QT_INSTALL_BINS         + 11; }
const char *tqInstallPathPlugins()      { return QT_INSTALL_PLUGINS      + 11; }
const char *tqInstallPathData()         { return QT_INSTALL_DATA         + 11; }
const char *tqInstallPathTranslations() { return QT_INSTALL_TRANSLATIONS + 11; }
const char *tqInstallPathSysconf()      { return QT_INSTALL_SYSCONF      + 11; }
const char *tqInstallPathShare()        { return QT_INSTALL_SHARE        + 11; }
